"""Optional IOs

Revision ID: 8d697a96046b
Revises: 160f69fe43b8
Create Date: 2023-11-29 17:41:06.941292

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '8d697a96046b'
down_revision = '160f69fe43b8'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('action_io', sa.Column('optional', sa.Boolean(), nullable=False, server_default='f'))
    op.add_column('workflow_action_addons_input', sa.Column('optional', sa.Boolean(), nullable=False, server_default='f'))
    op.add_column('workflow_action_input', sa.Column('optional', sa.Boolean(), nullable=False, server_default='f'))
    op.add_column('workflow_action_output', sa.Column('optional', sa.Boolean(), nullable=False, server_default='f'))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('workflow_action_output', 'optional')
    op.drop_column('workflow_action_input', 'optional')
    op.drop_column('workflow_action_addons_input', 'optional')
    op.drop_column('action_io', 'optional')
    # ### end Alembic commands ###
